Upstream information

CVE-2009-0039 at MITRE

Description

Multiple cross-site request forgery (CSRF) vulnerabilities in the web administration console in Apache Geronimo Application Server 2.1 through 2.1.3 allow remote attackers to hijack the authentication of administrators for requests that (1) change the web administration password, (2) upload applications, and perform unspecified other administrative actions, as demonstrated by (3) a Shutdown request to console/portal//Server/Shutdown.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 507806 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11
  • websphere-as_ce >= 2.1.1.2-2.1
Patchnames:
slessp0-websphere-as_ce
SUSE Linux Enterprise Server for SAP Applications 11
  • websphere-as_ce >= 2.1.1.2-2.2
Patchnames:
slessp0-websphere-as_ce
SUSE Linux Enterprise Server 11 GA
  • websphere-as_ce >= 2.1.1.2-2.2
sles11.x86
sles11.ia64
sles11.x86-64
sles11.s390x
sles11.ppc
SAT Patch Nr: 1016
SUSE Linux Enterprise Server 11 GA
  • websphere-as_ce >= 2.1.1.2-2.1
sles11.x86
sles11.ia64
sles11.x86-64
sles11.s390x
sles11.ppc
SAT Patch Nr: 1016